mod merge;

use std::env;
use std::io::Result;
use std::path::PathBuf;

fn main() -> Result<()> {
    let args: Vec<String> = env::args().collect();
    let merge_path = if args.len() > 1 {
        PathBuf::from(args[1].as_str())
    } else {
        PathBuf::from(".")
    };
    merge::merge_video_from_path(&merge_path)
}
